> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List cluster actions

> List cluster isolation actions for a cluster, most recently created first.



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/clusters/{cluster_id}/actions
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/clusters/{cluster_id}/actions:
    get:
      tags:
        - Cluster Actions
      summary: List cluster actions
      description: >-
        List cluster isolation actions for a cluster, most recently created
        first.
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Cluster ID
          in: path
          name: cluster_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResp-ClusterAction'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
      security:
        - AccessKey: []
components:
  schemas:
    ListResp-ClusterAction:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/ClusterAction'
          type: array
        page:
          type: integer
        page_count:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    ClusterAction:
      properties:
        id:
          description: Action ID, prefixed with `ca-`
          type: string
        cluster_id:
          type: string
        account_id:
          type: string
        action_type:
          enum:
            - terminate_pod
            - disable_outbound
            - label_pod
          example: terminate_pod
          type: string
        status:
          description: Execution status of the action
          enum:
            - Pending
            - Executed
            - Failed
          example: Pending
          type: string
        target_pod_name:
          type: string
        target_namespace:
          type: string
        parameters:
          additionalProperties: true
          description: >-
            Action parameters. `labels` for `label_pod`, `quarantine_id` for
            `disable_outbound`.
          type: object
        result:
          description: >-
            Message reported by rad-sync after execution; the Kubernetes error
            when the action failed.
          type: string
        created_by:
          description: Identity that created the action
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
  securitySchemes:
    AccessKey:
      in: header
      name: Authorization
      type: apiKey

````